Subject: bug#78298: [PATCH] Scroll with mouse wheel in calendar

From: Manuel Giraud <[email-masked]>
Date: Sun, 11 May 2025 13:41:22 +0200

Juri Linkov <[email-masked]> writes:

>> I've checked: calendar-for/backward-year place the cursor on current the
>> day of month while the functions I introduce place it on the first day
>> of the month.
>>
>> For such a tiny difference, I think I should remove
>> calendar-scroll-right-year (and left) from this patch.  WDYT?
>
> It should be fine to use the existing functions where
> the mouse wheel bindings are just another way to use them.
> So [M-wheel-up/down] will be the same as 'C-x ]', etc.
> This compatibility is good for user's expectations.

Another thing to notice is that if today appears in scroll movement, the
cursor is placed on that date.

I have changed my mind.  As Michael Heerdegen said, I think we should
try to keep consistency for all mouse scroll.  And it is not like these
new commands are complex either.
-- 
Manuel Giraud